number.float.length.error={0} 長度不合法，總長度不能超過 {1} 位，小數點後不能超過 {2} 位
number.greaterThanZero={0} 必須大於 0
page.pageNo.min=頁碼最小值為 1
page.pageNo.notNull=頁碼不能為空
page.pageSize.max=每頁條數最大值為 100
page.pageSize.min=每頁條數最小值為 -1
page.pageSize.notNull=每頁條數不能為空

report.template.save.name.notBlank=模板名稱不能為空
report.template.save.name.length=模板名稱長度不能超過30個字元
report.template.save.remark.size=備註長度不能超過64個字元
report.template.save.datasourceIds.size=數據源數量不能超過30個
report.template.save.datasetIds.size=數據集數量不能超過30個
report.template.page.name.size=模板名稱長度不能超過64個字元
report.template.preview.content.notNull=預覽報表內容不能為空
report.template.preview.query.size=表單參數數量不能超過30個
report.template.preview.component.size=表單對應元件唯一標識數量不能超過30個
report.template.preview.chartImages.size=圖表圖片數量不能超過30個
report.template.preview.templateId.notNull=報表模板編號不能為空
report.template.preview.download.type.notBlank=模板下載類型不能為空
report.template.script.validate.content.notEmpty=表達式不能為空
report.template.import.name.notEmpty=模板名稱不能為空

report.datasource.save.name.notBlank=數據源名稱不能為空
report.datasource.save.name.length=數據源名稱長度不能超過64個字元
report.datasource.save.beanId.length=Spring型數據源ID長度不能超過64個字元
report.datasource.save.driver.length=數據源驅動類長度不能超過64個字元
report.datasource.save.url.length=數據源地址長度不能超過255個字元
report.datasource.save.username.length=數據源使用者名稱長度不能超過64個字元
report.datasource.save.password.length=數據源密碼長度不能超過64個字元
report.datasource.save.remark.size=備註長度不能超過64個字元
report.datasource.save.headers.size=請求頭參數數量不能超過30個
report.datasource.spring.bean.field.clazz.notEmpty=類路徑全名不能為空
report.datasource.spring.bean.field.clazz.size=類路徑全名不能超過100個字元
report.datasource.bean.methods.query.beanId.notEmpty=beanId不能為空
report.datasource.bean.methods.query.beanId.size=beanId不能超過100個字元
report.datasource.conn.test.driverClassName.notBlank=數據源驅動類不能為空
report.datasource.conn.test.url.notBlank=數據源地址不能為空
report.datasource.conn.test.username.notBlank=數據源使用者名稱不能為空
report.datasource.conn.test.password.notBlank=數據源密碼不能為空
report.datasource.preview.conn.test.info.notNull=數據源連線資訊不能為空
report.datasource.preview.sql.notBlank=查詢語句不能為空
report.datasource.preview.parameters.size=查詢參數列表數量不能超過30個
report.datasource.preview.datasourceId.notNull=數據源編號不能為空
report.datasource.query.param.name.notBlank=參數名稱不能為空
report.datasource.query.param.type.notBlank=參數類型不能為空

report.dataset.save.name.notBlank=數據集名稱不能為空
report.dataset.save.name.length=數據集名稱長度不能超過64個字元
report.dataset.save.datasourceId.notNull=數據源ID不能為空
report.dataset.save.method.length=bean數據源方法名長度不能超過64個字元
report.dataset.save.parameters.size=參數列表數量不能超過30個
report.dataset.save.fields.size=字段列表數量不能超過100個
report.dataset.save.fields.name.notBlank=字段名稱不能為空
report.dataset.save.param.name.notBlank=參數名稱不能為空
report.dataset.save.param.type.notBlank=參數類型不能為空